Facebook Twitter YouTube Frictional Games | Forum | Privacy Policy | Dev Blog | Dev Wiki | Support | Gametee


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?
plandevida Offline
Junior Member

Posts: 18
Threads: 3
Joined: Oct 2010
Reputation: 0
#11
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

I tried with first way and not work (Error opening terminal: xterm). I think that the libraries may be because the system is in the testing branch of Debian.

And the second way can me install the game, but the checklibs64.sh sais "Checking libraries Library Missing; libGl.so.1", and I tried run the game using terminal (running Launcher.bin64) and it sais "error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory", and my system says that the libraries are already installed libx11-6 libx11-dev.

I don't have idea how resolve it.
12-26-2010, 01:53 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#12
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

can you search your system for libX11.so.6?? and and tell me where it is? and then run
file /path/to/libX11.so.6

?
You may have to poke some of the debian testing users to figure this out.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
(This post was last modified: 12-26-2010, 02:44 PM by Urkle.)
12-26-2010, 02:44 PM
Website Find
plandevida Offline
Junior Member

Posts: 18
Threads: 3
Joined: Oct 2010
Reputation: 0
#13
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

The path of libX11.so.6 on my system is: /usr/lib/libX11.so.6, and I've run file /usr/lib/libX11.so.6 and created a symbolic link.

/usr/lib/libX11.so.6: symbolic link to `libX11.so.6.3.0'
12-27-2010, 04:17 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#14
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

ok.. do a a file on libX11.so.6.3.0 (follow the symlinks until you get a real file)

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
12-27-2010, 02:49 PM
Website Find
plandevida Offline
Junior Member

Posts: 18
Threads: 3
Joined: Oct 2010
Reputation: 0
#15
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

I do "file /usr/lib/libX11.so.6.3.0" and this is the output:

libX11.so.6.3.0: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamic linked, striped

This is the real file, right?.
12-28-2010, 12:11 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#16
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

ok.. one more thing..

do a
uname -a

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
12-28-2010, 02:49 PM
Website Find
plandevida Offline
Junior Member

Posts: 18
Threads: 3
Joined: Oct 2010
Reputation: 0
#17
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

This is my "uname -a":

Linux nano-laptop 2.6.32-5-amd64 #1 SMP Fri Dec 10 17:41:41 UTC 2010 x86_64 GNU/Linux

And "cat /proc/version":

Linux version 2.6.32-5-amd64 (Debian 2.6.32-29) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Fri Dec 10 17:41:41 UTC 2010
12-30-2010, 11:40 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#18
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

ok.. it seems the issue is that you have installed a 64bit kernel and 32bit programs and libraries.. So the installer is trying to run in 64bit mode and can't find the appropriate libraries. And likewise the game is the 64bit version that was installed and can't find the libraries.

You'll have to ask on the debian forums on how to fix your system correctly.

An possible temporary workaround would be to run

linux32 ./amnesia_tdd_1.0.1.sh

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
12-30-2010, 03:17 PM
Website Find
plandevida Offline
Junior Member

Posts: 18
Threads: 3
Joined: Oct 2010
Reputation: 0
#19
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

Ok, I did it (linux32 ./amnesia_tdd_1.0.1.sh) and run correctly. But my question is, Could I install 64 bits libraries?.

I have one problem when I tried run the game, I lunched linux32 ./Launcher.bin and thow me this error:

Could not load main init file: config/main_init.cfg

And I tried this way ./Launcher.bin and the same is happend.
(This post was last modified: 12-30-2010, 06:57 PM by plandevida.)
12-30-2010, 06:53 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#20
Solved: 3 Years, 9 Months, 1 Week ago RE: HOW I can install Amnesia the dark descent in Debian testing with KDE 4.4.5?

hmm. that error looks like the game did not install correctly.

Can you check the config folder and make sure there IS a main_init.cfg in there?

Yes you could install the 64bit libs and apps etc.. on your system which would allow you to install the 64bit version of the game.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
12-30-2010, 07:09 PM
Website Find




Users browsing this thread: 1 Guest(s)